Observium Network Monitor rrdtool.inc.php escalazione di privilegi

CVSS Punteggio Meta TempExploit Prezzo Attuale (≈)Punteggio di interesse CTI
6.0$0-$5k0.00

Un punto critico di livello critico è stato rilevato in Observium Network Monitor. Riguarda una funzione sconosciuta del file /includes/rrdtool.inc.php. Per causa della manipolazione di un input sconosciuto per mezzo di una vulerabilità di classe escalazione di privilegi. Questo ha un effetto su riservatezza, integrità e disponibilità.

Data di scoperta del problema 01/09/2016. La vulnerabilità è stata pubblicata in data 10/11/2016 da Ronald Volgers con identificazione [CT-2016-1110] Unauthenticated RCE in Observium network monitor con un mailinglist post (Full-Disclosure) (confermato). L'advisory è scaricabile da seclists.org. La pubblicazione è stata coordinata con il produttore. L'utilità è conosciuta come semplice. Nella rete si effettua l'attacco. L'utilizzo necessita di una valida autentificazione. Nessun metodo di utilizzo sui dettagli tecnici disponibili. La ragione di questa vulnerabilità è questa parte di codice:

function rrdtool_pipe_open(&$rrd_process, &$rrd_pipes)
{
 global $config;

 $command = $config['rrdtool'] . " -"; // Waits for input via standard input (STDIN)

 $descriptorspec = array(
    0 => array("pipe", "r"),  // stdin
    1 => array("pipe", "w"),  // stdout
    2 => array("pipe", "w")   // stderr
 );

 $cwd = $config['rrd_dir'];
 $env = array();

 $rrd_process = proc_open($command, $descriptorspec, $rrd_pipes, $cwd, $env);

Questa vulnerabilità è stata classificata come un 0-day exploit almeno per 55 giorni.

L'aggiornamento elimina questa vulnerabilità. Una possibile soluzione è stata pubblicata prima e non solo dopo la pubblicazione della vulnerabilità.

Prodottoinfo

Fornitore

Nome

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Punteggio meta-base: 6.3
VulDB Punteggio Meta Temp: 6.0

VulDB Punteggio di base: 6.3
VulDB Punteggio temporaneo: 6.0
VulDB Vettore: 🔍
VulDB Affidabilità: 🔍

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VettoreComplessitàAutenticazioneRiservatezzaIntegritàDisponibilità
sbloccaresbloccaresbloccaresbloccaresbloccaresbloccare
sbloccaresbloccaresbloccaresbloccaresbloccaresbloccare
sbloccaresbloccaresbloccaresbloccaresbloccaresbloccare

VulDB Punteggio di base: 🔍
VulDB Punteggio temporaneo: 🔍
VulDB Affidabilità: 🔍

Exploitinginfo

Classe: Escalazione di privilegi
CWE: CWE-77
ATT&CK: T1202

Locale: No
Remoto: Si

Disponibilità: 🔍
Stato: Non definito
Previsione dei prezzi: 🔍
Preventivo attuale: 🔍

0-Daysbloccaresbloccaresbloccaresbloccare
Oggisbloccaresbloccaresbloccaresbloccare

Intelligence Sulle Minacceinfo

Interesse: 🔍
Attori Attivi: 🔍
Gruppi APT attivi: 🔍

Contromisureinfo

Raccomandazione: Upgrade
Stato: 🔍

Tempo di reazione: 🔍
0 giorni di tempo: 🔍

Upgrade: seclists.org

Sequenza temporaleinfo

01/09/2016 🔍
21/10/2016 +50 giorni 🔍
21/10/2016 +0 giorni 🔍
26/10/2016 +5 giorni 🔍
10/11/2016 +15 giorni 🔍
11/11/2016 +1 giorni 🔍
30/05/2019 +930 giorni 🔍

Fontiinfo

Advisory: [CT-2016-1110] Unauthenticated RCE in Observium network monitor
Riceratore: Ronald Volgers
Stato: Confermato
Coordinato: 🔍
Vedi anche: 🔍

Voceinfo

Data di creazione: 11/11/2016 15:54
Aggiornamenti: 30/05/2019 09:27
I cambiamenti: (1) vulnerability_cwe
Completa: 🔍

Commenti

Ancora nessun commento. Le Lingue: it + en.

Effettua il login per commentare.

Might our Artificial Intelligence support you?

Check our Alexa App!